from unittest import TestCase
import find_classes

#mut.py -m --target find_classes --unit-test find_classes_test --coverage --type-check

def find_in_list(list,attrName,attrValue):
	for el in list:
		if hasattr(el,attrName):
			if getattr(el,attrName) == attrValue:
				return el
	return None

class AnnotationTest(TestCase):

	def test_sample(self):
		result = find_classes.find_classes_for_test('sample.cpp')
		c = find_in_list(result.listOfClasses,'className','a')
		self.assertEqual(c.classLine,92)
		self.assertEqual(c.error_dictionary['already declared in this scope'],False)
		self.assertEqual(c.error_dictionary['does not exist'],False)
		parent = c.parents[0]
		self.assertEqual(parent['name'],'nested')
		self.assertEqual(parent['line'],84)