from unittest import TestCase
import AdvantageCalculations

#mut.py -m --target AdvantageCalculations --unit-test AdvantageCalculations_test --type-check

class AnnotationTest(TestCase):

	def test_01(self):
		self.assertEqual(AdvantageCalculations.calcAvDmg(1,20,0),10.5)
		pass
	def test_02(self):
		self.assertEqual(AdvantageCalculations.calcAvDmg(1,20,5),15.5)
		pass
	def test_03(self):
		result = AdvantageCalculations.noAdvantageThor(15,3,True)
		self.assertEqual(result[0],5.05)
		self.assertEqual(result[1],0.775)
		self.assertEqual(result[2],65.0)
		self.assertEqual(result[3],35.0)
		self.assertEqual(result[4],5.0)
		self.assertEqual(result[5],5.0)
	def test_04(self):
		result = AdvantageCalculations.versatlieThor(15,1,20,1,6,5,5)
		self.assertEqual(result[0],5.875)
		self.assertEqual(result[1],1.325)
		self.assertEqual(result[2],60.0)
		self.assertEqual(result[3],40.0)
		self.assertEqual(result[4],5.0)
		self.assertEqual(result[5],5.0)
	def test_05(self):
		result = AdvantageCalculations.advantegeHandAxe(15,1,6,True)
		self.assertEqual(result[0],3.1325)
		self.assertEqual(result[1],0.00625)
		self.assertEqual(result[2],1595.0)
		self.assertEqual(result[3],405.0)
		self.assertEqual(result[4],0.25)
		self.assertEqual(result[5],9.75)
		
		