class ClassResult:
	def __init__(self):
		self.className = ""
		self.classLine = 0
		self.error_dictionary = dict()
		self.parents = []
		self.error_dictionary["already declared in this scope"] = False
		self.error_dictionary["does not exist"] = False
	def __str__(self):
		s = 'className:\"' + self.className + '\" line number:'+ str(self.classLine)
		for key,value in self.error_dictionary.items():
			if value:
				s+='\n'+key
		s+= '\n\t+-----+ parents:'+str(len(self.parents))
		for p in self.parents:
			s+='\n\t      +-ClassName:\"'+p["name"]+"\" lineNumber:"+str(p["line"])
		return s
		

class SearchResult:
	def __init__(self):
		pass
		self.fileName = None
		self.listOfClasses = []
		self.error_dictionary_overall = dict()
		self.error_dictionary_overall["Imbalanced parentheses in class declarations"] = False
		self.error_dictionary_overall["No classes found"] = False
		
	def __str__(self):
		for key,value in self.error_dictionary_overall.items():
			if value:
				return key
		s = ""
		for c in self.listOfClasses:
			s+= '\t'+c.__str__()+'\n'
		return s
		
		
		
		