from unittest import TestCase
import find_classes

#mut.py -m --target find_classes --unit-test find_classes_test --type-check

def find_in_list(list,attrName,attrValue):
	for el in list:
		if hasattr(el,attrName):
			if getattr(el,attrName) == attrValue:
				return el
	return None

def do_test():
	result = find_classes.find_classes_for_test('sample.cpp')
	c = find_in_list(result.listOfClasses,'className','a')
	if not c.classLine == 92:
		return False
	if not c.error_dictionary['already declared in this scope'] == False:
		return False
	if not c.error_dictionary['does not exist'] == False:
		return False
	parent = c.parents[0]
	if not parent['name'] == 'nested':
		return False
	if not parent['line'] == 84:
		return False
	return True
	
class AnnotationTest(TestCase):

	def test_sample02(self):
		result = find_classes.find_classes_for_test('sample.cpp')
		self.assertEqual(0,0)
	def test_sample(self):
		pass
	
	
	